package com.hzya.frame.sys.userModule.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.userModule.dao.IUserModuleMapper;
import com.hzya.frame.sys.userModule.entity.UserModule;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 用户菜单模块管理  dao
 * @tableName: sys_user_module
 * @entityName: UserModule
 * @author: gjh
 * @history:1.0
 */
@Service
public class UserModuleMapperImpl extends MybatisGenericDao<UserModule, String> implements IUserModuleMapper {

    @Override
    public UserModule entity_get(String id) {

        UserModule o = (UserModule) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<UserModule> entity_list_base(UserModule entity) {

        List<UserModule> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(UserModule entity) {

        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<UserModule> entity_list_like(UserModule entity) {

        List<UserModule> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<UserModule> entity_list_or(UserModule entity) {

        List<UserModule> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public Integer entity_insert(UserModule entity) {

        Integer o = super.insert(getSqlIdPrifx() + "entity_insert", entity);
        return o;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(UserModule entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(UserModule entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(UserModule entity) {

        Integer o = super.update(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(UserModule entity) {

        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }
}
